using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace DigitalData.UserManager.Domain.Entities
{
    [Table("TBDD_GROUPS_USER", Schema = "dbo")]
    public class GroupOfUser : BaseEntity
    {
        [Required]
        [Column("USER_ID")]
        public int UserId { get; set; }

        [Required]
        [Column("GROUP_ID")]
        public int GroupId { get; set; }

        [StringLength(200)]
        public string
#if NET7_0_OR_GREATER
            ?
#endif
            Comment { get; set; }

        [ForeignKey("UserId")]
        public virtual User
#if NET7_0_OR_GREATER
            ?
#endif
            User { get; set; }

        [ForeignKey("GroupId")]
        public virtual Group
#if NET7_0_OR_GREATER
            ?
#endif
            Group { get; set; }
    }
}